{
  config,
  pkgs,
  lib,
  ...
}:
let
  inherit (config.machine.mysql)
    port
    enable
    ;
in
with lib;
mkIf enable {
  services.mysql = {
    inherit enable;
    package = pkgs.mysql84;
    ensureDatabases = [ ];
    settings.mysqld = {
      inherit port;
    };
  };
}
